## insilicoseq 1.5.2

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = InSilicoSeq
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## insilicoseq 1.4.6

=== debian/changelog ===
insilicoseq (1.4.6-1) unstable; urgency=medium

  * Initial release (Closes: #961331)

 -- Sao I Kuan <saoikuan@gmail.com>  Wed, 10 Jun 2020 22:17:57 +0900

=== debian/control ===
Source: insilicoseq
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sao I Kuan <saoikuan@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-biopython,
               python3-nose
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/insilicoseq
Vcs-Git: https://salsa.debian.org/med-team/insilicoseq.git
Homepage: https://github.com/HadrienG/InSilicoSeq
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: insilicoseq
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: sequencing simulator producing realistic Illumina reads
 Primarily intended for simulating metagenomic samples, it can also be
 used to produce sequencing data from a single genome. 
 .
 InSilicoSeq is written in Python, and use kernel density estimators to
 model the read quality of real sequencing data.
 .
 InSilicoSeq support substitution, insertion and deletion errors. If 
 you don't have the use for insertion and deletion error a basic 
 error model is provided.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=insilicoseq

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	chmod 0444 data/read_only.fasta

## insilicoseq 1.5.2

=== debian/changelog ===
insilicoseq (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 03 Feb 2021 17:27:14 +0530

insilicoseq (1.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 22 Oct 2020 01:06:37 +0530

insilicoseq (1.5.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Remove trailing whitespace in debian/control (routine-update)
  * Add salsa-ci file (routine-update)

  [ Étienne Mollier ]
  * New upstream version 1.5.0.
  * Remove unraise.patch, applied upstream.
  * Fix autopkgtest failure with biopython 1.78.
  * Override non-standard-file-permissions lintian warning affecting test data.
  * Added myself to uploaders.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 19 Sep 2020 15:04:01 +0200

=== debian/control ===
Source: insilicoseq
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sao I Kuan <saoikuan@gmail.com>,
           Étienne Mollier <etienne.mollier@mailoo.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-biopython,
               python3-nose
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/insilicoseq
Vcs-Git: https://salsa.debian.org/med-team/insilicoseq.git
Homepage: https://github.com/HadrienG/InSilicoSeq
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: insilicoseq
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: sequencing simulator producing realistic Illumina reads
 Primarily intended for simulating metagenomic samples, it can also be
 used to produce sequencing data from a single genome.
 .
 InSilicoSeq is written in Python, and use kernel density estimators to
 model the read quality of real sequencing data.
 .
 InSilicoSeq support substitution, insertion and deletion errors. If
 you don't have the use for insertion and deletion error a basic
 error model is provided.

=== debian/watch ===
version=4
opts="\
  dversionmangle=s/@DEB_EXT@//, \
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/InSilicoSeq-$1\.tar\.gz/, \
" https://github.com/HadrienG/InSilicoSeq/tags \
  .*/v?(\d\S+)\.tar\.gz

## insilicoseq 1.5.4

=== debian/changelog ===
insilicoseq (1.5.4-6) unstable; urgency=medium

  * Team Upload.
  * Update numpy patch, fix it for reals this time

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 14:31:02 +0530

insilicoseq (1.5.4-5) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix autopkgtests with numpy (Closes: #1027197)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 15:17:31 +0530

insilicoseq (1.5.4-4) unstable; urgency=medium

  * numpy-1.23.5.patch: add; fix test failure with new numpy version.
    (Closes: #1026344)
  * d/changelog: cleanup unnecessary author marker in 1.5.4-3 entry.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Dec 2022 22:57:58 +0100

insilicoseq (1.5.4-3) unstable; urgency=medium

  * d/{,t/}control: depend on pytest instead of nose
  * d/patches:
        -  add patch to support pytest (Closes: #1018377)
        -  skip test_ncbi test which requires network access
  * d/t/: run tests against all support py3 versions
  * routine-update: Standards-Version: 4.6.1
  * d/{control,rules}: implement nocheck build profile
  * d/pybuild.testfiles: Install tests
  * d/rules:
        - fix permission for read_only.fasta during tests
        - add override to remove __pycache__ from examples dir
  * d/t/control: tests depend on python3-all.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Dec 2022 20:42:32 +0100

insilicoseq (1.5.4-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix iss binary

 -- Nilesh Patra <nilesh@debian.org>  Mon, 17 Jan 2022 10:40:36 +0000

insilicoseq (1.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Oct 2021 21:59:34 +0530

insilicoseq (1.5.3-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team upload.
  * New upstream version

  [ Étienne Mollier ]
  * d/control: update uploader address

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:46:43 +0530

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,20 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sao I Kuan <saoikuan@gmail.com>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
                python3-all,
                python3-biopython,
-               python3-nose
-Standards-Version: 4.5.1
+               python3-future,
+               python3-joblib,
+               python3-numpy,
+               python3-pysam,
+               python3-requests,
+               python3-scipy,
+               python3-pytest <!nocheck>,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/insilicoseq
 Vcs-Git: https://salsa.debian.org/med-team/insilicoseq.git
 Homepage: https://github.com/HadrienG/InSilicoSeq

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=insilicoseq

%:
	LC_ALL=C.UTF-8 dh $@ --with python3 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	find debian/ -name read_only.fasta| xargs chmod 0444

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	find $(CURDIR) -name read_only.fasta| xargs chmod 0444
	PYTHONPATH=$(CURDIR) pytest-3 -v iss
endif

override_dh_installexamples:
	dh_installexamples
	find debian -name __pycache__ -type d | xargs rm -rf

## insilicoseq 1.6.0

=== debian/changelog ===
insilicoseq (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * port-to-pytest.patch: delete: applied upstream.
  * fix-iss.patch: delete: applied upstream.
  * numpy-1.23.5.patch: delete: issue fixed upstream.
  * numpy-1.24.patch: delete: issue fixed upstream.
  * no-internet.patch: new: skip test needing Internet.

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 17:14:24 +0200

## insilicoseq 2.0.0

=== doc/requirements.txt ===
pip
cython

=== debian/changelog ===
insilicoseq (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * no-internet.patch: unfuzz.
  * no_future_dependency.patch: delete: applied upstream.
  * d/examples: provide insilicosec profiles.

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Feb 2024 10:27:23 +0100

insilicoseq (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * remove extraneous dependency on python3-future
    Closes: #1058061
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Dec 2023 11:16:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders: Sao I Kuan <saoikuan@gmail.com>,
            Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
                python3-all,
                python3-biopython,
-               python3-future,
                python3-joblib,
                python3-numpy,
                python3-pysam,

## insilicoseq 2.0.1

=== debian/changelog ===
insilicoseq (2.0.1-2) unstable; urgency=medium

  [ Chris Lamb ]
  * d/rules: force mtime of the data/ directory.
    This resolves problems of build reproducibility.  (Closes: #1121064)

  [ Étienne Mollier ]
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Tue, 02 Dec 2025 19:22:28 +0100

insilicoseq (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 13:27:35 +0200

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
                python3-requests,
                python3-scipy,
                python3-pytest <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/insilicoseq
 Vcs-Git: https://salsa.debian.org/med-team/insilicoseq.git
 Homepage: https://github.com/HadrienG/InSilicoSeq
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: insilicoseq

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=insilicoseq
 
 %:
-	LC_ALL=C.UTF-8 dh $@ --with python3 --buildsystem=pybuild
+	LC_ALL=C.UTF-8 dh $@ --buildsystem=pybuild
 
 override_dh_fixperms:
 	dh_fixperms
@@ -16,5 +16,6 @@
 endif
 
 override_dh_installexamples:
+	touch -d@$(SOURCE_DATE_EPOCH) data/
 	dh_installexamples
 	find debian -name __pycache__ -type d | xargs rm -rf

=== debian/watch ===
Version: 5

Template: Github
Owner: HadrienG
Project: InSilicoSeq
Dversionmangle: auto
